mina-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Lecharny <elecha...@gmail.com>
Subject Re: Setting scope for test dependencies
Date Sat, 12 Jul 2008 23:21:21 GMT
Niklas Gustavsson wrote:
> Hi
>
> We do not currently set the scope of test dependencies in the POM.
> This has the huge negative effect of MINA dragging in stuff like easy
> mock in downstream projects. I propose the following change:
>
> Index: core/pom.xml
> ===================================================================
> --- core/pom.xml	(revision 676240)
> +++ core/pom.xml	(working copy)
> @@ -24,7 +24,7 @@
>    <parent>
>      <groupId>org.apache.mina</groupId>
>      <artifactId>build</artifactId>
> -    <version>2.0.0-M3-SNAPSHOT</version>
> +    <version>2.0.0-M2-SNAPSHOT</version>
>    </parent>
>    <artifactId>mina-core</artifactId>
>    <name>Apache MINA Core</name>
> Index: pom.xml
> ===================================================================
> --- pom.xml	(revision 676240)
> +++ pom.xml	(working copy)
> @@ -236,24 +236,28 @@
>          <groupId>junit</groupId>
>          <artifactId>junit</artifactId>
>          <version>4.4</version>
> +        <scope>test</scope>
>        </dependency>
>
>        <dependency>
>          <groupId>org.easymock</groupId>
>          <artifactId>easymock</artifactId>
>          <version>2.3</version>
> +        <scope>test</scope>
>        </dependency>
>
>        <dependency>
>          <groupId>org.easymock</groupId>
>          <artifactId>easymockclassextension</artifactId>
>          <version>2.3</version>
> +        <scope>test</scope>
>        </dependency>
>
>        <dependency>
>          <groupId>com.agical.rmock</groupId>
>          <artifactId>rmock</artifactId>
>          <version>2.0.0</version>
> +        <scope>test</scope>
>        </dependency>
>      </dependencies>
>    </dependencyManagement>
>
> Another option is to leave this out of dependencyManagement and
> declare it in the concrete POMs. What do you think?
>   
Using scope is better than declare the needed versionss in each pom, IMHO.

Lat, not least, it's 2.0.0-M3, not 2.0.0-M2. I guess it's a typo ?


Mime
View raw message